# _EACCES
<span class="source-link">[[Source]](src/files/file.md#L37)</span>
```pony
primitive val _EACCES
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/file.md#L37)</span>


```pony
new val create()
: _EACCES val^
```

#### Returns

* [_EACCES](files-_EACCES.md) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/files/file.md#L38)</span>


```pony
fun box apply()
: I32 val
```

#### Returns

* [I32](builtin-I32.md) val

---

### eq
<span class="source-link">[[Source]](src/files/file.md#L38)</span>


```pony
fun box eq(
  that: _EACCES val)
: Bool val
```
#### Parameters

*   that: [_EACCES](files-_EACCES.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/files/file.md#L38)</span>


```pony
fun box ne(
  that: _EACCES val)
: Bool val
```
#### Parameters

*   that: [_EACCES](files-_EACCES.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

